Sign in Start for free

Tag Sets

Get a list of Tag Sets

GET /api/{spaceId}/tagsets

Also reachable at /api/spaces/{spaceIdentifier}/tagsets, /api/tagsets.

Lists all of the Tag Sets in the supplied Octopus Deploy Space. The results will be sorted alphabetically by the SortOrder field on each tag set.

Path Parameters

  • spaceId string (required)

Query Parameters

  • ids array of string
    Comma separated list of Ids.
  • name string
    The exact name of a Tag Set to be matched.
  • partialName string
    A partial or complete name to search on. This will perform a "contains" style match against the supplied name or name-fragment.
  • scopes array of string
    Limits results to tag sets that apply to any of these resource types. Valid values: ‘Tenant’, ‘Environment’, ‘Project’, ‘Target’, ‘Runbook’, ‘Feature Toggle’.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.
  • types array of string
    Limits results to tag sets of these types. Valid values: ‘SingleSelect’, ‘MultiSelect’, ‘FreeText’.

Response

200 — The list of matching Tag Sets, sorted alphabetically by the SortOrder field on each tag set.

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Description string
      Gets or sets the description of this tag set.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsSystem boolean
      Whether this tag set is a system-managed tag set.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Gets or sets the name of this tag set. Minimum length 1.
    • Scopes array of string
      The resource types this tag set applies to.
    • SortOrder integer
      Gets or sets the sort order of this tag set.
    • SpaceId string
    • Tags array of object
      The tags that make up this tag set.
    • Type string
      The type of this tag set.
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Id": "string",
      "IsSystem": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "Scopes": [
        "string"
      ],
      "SortOrder": 0,
      "SpaceId": "Spaces-1",
      "Tags": [
        {}
      ],
      "Type": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Tag Set

POST /api/{spaceId}/tagsets

Also reachable at /api/spaces/{spaceIdentifier}/tagsets, /api/tagsets.

Path Parameters

  • spaceId string (required)

Request Body

  • Description string
    Sets the description of this tag set.
  • Name string (required)
    Sets the name of this tag set. Minimum length 1.
  • Scopes array of string
    The resource types the tag set applies to. Valid values: ‘Tenant’, ‘Environment’, ‘Project’, ‘Target’, ‘Runbook’, ‘Feature Toggle’. Defaults to [‘Tenant’] when omitted.
  • SortOrder integer
    Sets the sort order of this tag set.
  • SpaceId string (required)
  • Tags array of object
    The tags that make up the tag set. Each tag is an object with a ‘Name’, an optional ‘Description’, a ‘Color’ hex code (e.g. ‘#3156B3’), and a ‘SortOrder’. Leave empty for a ‘FreeText’ tag set, which does not allow predefined tags.
    • CanonicalTagName string
      This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.
    • Color string
      Gets or sets the color of this tag.
    • Description string
      Gets or sets the description of this tag.
    • Id string
    • Name string
      Gets or sets the name of this tag.
    • SortOrder integer
  • Type string
    How tags from the set are applied to a resource: ‘MultiSelect’ (any number of tags), ‘SingleSelect’ (one tag at a time), or ‘FreeText’ (arbitrary values, no predefined tags). Defaults to ‘MultiSelect’ when omitted.

Response

201 — Created

  • Description string
    Gets or sets the description of this tag set.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsSystem boolean
    Whether this tag set is a system-managed tag set.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Gets or sets the name of this tag set. Minimum length 1.
  • Scopes array of string
    The resource types this tag set applies to.
  • SortOrder integer
    Gets or sets the sort order of this tag set.
  • SpaceId string
  • Tags array of object
    The tags that make up this tag set.
    • CanonicalTagName string
      This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.
    • Color string
      Gets or sets the color of this tag.
    • Description string
      Gets or sets the description of this tag.
    • Id string
    • Name string
      Gets or sets the name of this tag.
    • SortOrder integer
  • Type string
    The type of this tag set.

Example Request

JSON
{
  "Description": "string",
  "Name": "string",
  "Scopes": [
    "string"
  ],
  "SortOrder": 0,
  "SpaceId": "Spaces-1",
  "Tags": [
    {
      "CanonicalTagName": "string",
      "Color": "string",
      "Description": "string",
      "Id": "string",
      "Name": "string",
      "SortOrder": 0
    }
  ],
  "Type": "string"
}

Example Response

JSON
{
  "Description": "string",
  "Id": "string",
  "IsSystem": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Scopes": [
    "string"
  ],
  "SortOrder": 0,
  "SpaceId": "Spaces-1",
  "Tags": [
    {
      "CanonicalTagName": "string",
      "Color": "string",
      "Description": "string",
      "Id": "string",
      "Name": "string",
      "SortOrder": 0
    }
  ],
  "Type": "string"
}

Get a list of Tag Sets

GET /api/{spaceId}/tagsets/all

Also reachable at /api/spaces/{spaceIdentifier}/tagsets/all, /api/tagsets/all.

Lists the details of all of the Tag Sets in the supplied Octopus Deploy Space. The results will be sorted by the SortOrder field on each Tag Set.

Path Parameters

  • spaceId string (required)

Query Parameters

  • scopes array of string

Response

200 — List of Tag Sets, sorted by the SortOrder field on each Tag Set.

  • Description string
    Gets or sets the description of this tag set.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsSystem boolean
    Whether this tag set is a system-managed tag set.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Gets or sets the name of this tag set. Minimum length 1.
  • Scopes array of string
    The resource types this tag set applies to.
  • SortOrder integer
    Gets or sets the sort order of this tag set.
  • SpaceId string
  • Tags array of object
    The tags that make up this tag set.
    • CanonicalTagName string
      This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.
    • Color string
      Gets or sets the color of this tag.
    • Description string
      Gets or sets the description of this tag.
    • Id string
    • Name string
      Gets or sets the name of this tag.
    • SortOrder integer
  • Type string
    The type of this tag set.

Example Response

JSON
[
  {
    "Description": "string",
    "Id": "string",
    "IsSystem": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Scopes": [
      "string"
    ],
    "SortOrder": 0,
    "SpaceId": "Spaces-1",
    "Tags": [
      {
        "CanonicalTagName": "string",
        "Color": "string",
        "Description": "string",
        "Id": "string",
        "Name": "string",
        "SortOrder": 0
      }
    ],
    "Type": "string"
  }
]

PUT /api/{spaceId}/tagsets/sortorder

PUT /api/{spaceId}/tagsets/sortorder

Also reachable at /api/spaces/{spaceIdentifier}/tagsets/sortorder, /api/tagsets/sortorder.

Takes an array of tag set IDs as the request body, uses the order of items in the array to sort the tag sets on the server. The ID of every tag set must be specified.

Path Parameters

  • spaceId string (required)

Request Body

A array of string payload.

Response

200 — Success

Example Request

JSON
[
  "string"
]

Get a Tag Set by ID

GET /api/{spaceId}/tagsets/{id}

Also reachable at /api/spaces/{spaceIdentifier}/tagsets/{id}, /api/tagsets/{id}.

Path Parameters

  • id string (required)
    ID of the Tag Set to load.
  • spaceId string (required)

Response

200 — The requested Tag Set

  • Description string
    Gets or sets the description of this tag set.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsSystem boolean
    Whether this tag set is a system-managed tag set.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Gets or sets the name of this tag set. Minimum length 1.
  • Scopes array of string
    The resource types this tag set applies to.
  • SortOrder integer
    Gets or sets the sort order of this tag set.
  • SpaceId string
  • Tags array of object
    The tags that make up this tag set.
    • CanonicalTagName string
      This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.
    • Color string
      Gets or sets the color of this tag.
    • Description string
      Gets or sets the description of this tag.
    • Id string
    • Name string
      Gets or sets the name of this tag.
    • SortOrder integer
  • Type string
    The type of this tag set.

Example Response

JSON
{
  "Description": "string",
  "Id": "string",
  "IsSystem": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Scopes": [
    "string"
  ],
  "SortOrder": 0,
  "SpaceId": "Spaces-1",
  "Tags": [
    {
      "CanonicalTagName": "string",
      "Color": "string",
      "Description": "string",
      "Id": "string",
      "Name": "string",
      "SortOrder": 0
    }
  ],
  "Type": "string"
}

Modify an existing Tag Set

PUT /api/{spaceId}/tagsets/{id}

Also reachable at /api/spaces/{spaceIdentifier}/tagsets/{id}, /api/tagsets/{id}.

Path Parameters

  • id string (required)
    ID of the Tag Set to modify.
  • spaceId string (required)

Request Body

  • Description string
    Sets the description of this tag set.
  • Id string (required)
    ID of the Tag Set to modify.
  • Name string (required)
    Sets the name of this tag set. Minimum length 1.
  • Scopes array of string
    The complete set of resource types the tag set applies to; a scope omitted here is removed (rejected if tags are in use for it). Valid values: ‘Tenant’, ‘Environment’, ‘Project’, ‘Target’, ‘Runbook’, ‘Feature Toggle’. Defaults to [‘Tenant’] when omitted.
  • SortOrder integer
    Sets the sort order of this tag set.
  • SpaceId string (required)
  • Tags array of object
    The complete list of tags for the tag set; existing tags omitted here are deleted (rejected if still in use). Each tag is an object with a ‘Name’, an optional ‘Description’, a ‘Color’ hex code (e.g. ‘#3156B3’), a ‘SortOrder’, and — for existing tags — the ‘Id’ from get_tag_set, which must be kept to update or rename a tag rather than replace it.
    • CanonicalTagName string
      This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.
    • Color string
      Gets or sets the color of this tag.
    • Description string
      Gets or sets the description of this tag.
    • Id string
    • Name string
      Gets or sets the name of this tag.
    • SortOrder integer
  • Type string
    How tags from the set are applied to a resource: ‘MultiSelect’ (any number of tags), ‘SingleSelect’ (one tag at a time), or ‘FreeText’ (arbitrary values, no predefined tags). Defaults to ‘MultiSelect’ when omitted; a tag set in use can only change from SingleSelect to MultiSelect.

Response

200 — Confirms that a Tag Set has been modified, containing the updated Tag Set

  • Description string
    Gets or sets the description of this tag set.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsSystem boolean
    Whether this tag set is a system-managed tag set.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Gets or sets the name of this tag set. Minimum length 1.
  • Scopes array of string
    The resource types this tag set applies to.
  • SortOrder integer
    Gets or sets the sort order of this tag set.
  • SpaceId string
  • Tags array of object
    The tags that make up this tag set.
    • CanonicalTagName string
      This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.
    • Color string
      Gets or sets the color of this tag.
    • Description string
      Gets or sets the description of this tag.
    • Id string
    • Name string
      Gets or sets the name of this tag.
    • SortOrder integer
  • Type string
    The type of this tag set.

Example Request

JSON
{
  "Description": "string",
  "Id": "TagSets-1",
  "Name": "string",
  "Scopes": [
    "string"
  ],
  "SortOrder": 0,
  "SpaceId": "Spaces-1",
  "Tags": [
    {
      "CanonicalTagName": "string",
      "Color": "string",
      "Description": "string",
      "Id": "string",
      "Name": "string",
      "SortOrder": 0
    }
  ],
  "Type": "string"
}

Example Response

JSON
{
  "Description": "string",
  "Id": "string",
  "IsSystem": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Scopes": [
    "string"
  ],
  "SortOrder": 0,
  "SpaceId": "Spaces-1",
  "Tags": [
    {
      "CanonicalTagName": "string",
      "Color": "string",
      "Description": "string",
      "Id": "string",
      "Name": "string",
      "SortOrder": 0
    }
  ],
  "Type": "string"
}

Delete an existing Tag Set

DELETE /api/{spaceId}/tagsets/{id}

Also reachable at /api/spaces/{spaceIdentifier}/tagsets/{id}, /api/tagsets/{id}.

Path Parameters

  • id string (required)
    ID of the Tag Set to delete.
  • spaceId string (required)

Response

200 — Success